## python-catalogue 2.1.0

=== requirements.txt ===
zipp>=0.5; python_version < "3.8"
typing-extensions>=3.6.4; python_version < "3.8"
pytest>=4.6.5
mypy
pydantic
types-dataclasses
typing_extensions
srsly

=== debian/changelog ===
python-catalogue (2.1.0-4) unstable; urgency=medium

  * extra_depends=python3-numpy
    Closes: #1029961

 -- Andreas Tille <tille@debian.org>  Wed, 01 Feb 2023 16:53:27 +0100

python-catalogue (2.1.0-3) unstable; urgency=medium

  * Explicitly Depends: python3-srsly

 -- Andreas Tille <tille@debian.org>  Sat, 14 Jan 2023 09:20:02 +0100

python-catalogue (2.1.0-2) unstable; urgency=medium

  * Build-Depends: python3-srsly and run build time test properly
  * Build-Depends: python3-numpy
  * Standards-Version: 4.6.2 (routine-update)
  * Testsuite: autopkgtest-pkg-python (routine-update)

 -- Andreas Tille <tille@debian.org>  Sat, 14 Jan 2023 08:01:14 +0100

python-catalogue (2.1.0-1) unstable; urgency=medium

  * Initial release (Closes: #1007836)

 -- Andreas Tille <tille@debian.org>  Tue, 29 Nov 2022 15:58:18 +0100

=== debian/control ===
Source: python-catalogue
Maintainer: Debian Python Team <team+python@tracker.debian.org>
Uploaders: Andreas Tille <tille@debian.org>
Section: python
Testsuite: autopkgtest-pkg-python
Priority: optional
Build-Depends: debhelper-compat (= 13),
               dh-python,
               python3-all-dev,
               python3-setuptools,
               python3-pytest <!nocheck>,
               python3-pydantic <!nocheck>,
               python3-numpy <!nocheck>,
               python3-srsly <!nocheck>
Standards-Version: 4.6.2
Vcs-Browser: https://salsa.debian.org/python-team/packages/python-catalogue
Vcs-Git: https://salsa.debian.org/python-team/packages/python-catalogue.git
Homepage: https://github.com/explosion/catalogue
Rules-Requires-Root: no

Package: python3-catalogue
Architecture: any
Depends: ${python3:Depends},
         ${misc:Depends},
         python3-pydantic,
         python3-srsly
Description: super lightweight function registries for Python3 libraries
 catalogue is a tiny, zero-dependencies library that makes it easy to add
 function (or object) registries to your code. Function registries are
 helpful when you have objects that need to be both easily serializable
 and fully customizable. Instead of passing a function into your object,
 you pass in an identifier name, which the object can use to lookup the
 function from the registry. This makes the object easy to serialize,
 because the name is a simple string. If you instead saved the function,
 you'd have to use Pickle for serialization, which has many drawbacks.

=== debian/rules ===
#!/usr/bin/make -f

# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1

export DEB_BUILD_MAINT_OPTIONS=hardening=+all

export PYBUILD_NAME=catalogue

%:
	dh $@ --with python3 --buildsystem=pybuild

=== debian/watch ===
version=4

opts="filenamemangle=s%(?:.*?)?v?(\d[\d.]*)\.tar\.gz%@PACKAGE@-$1.tar.gz%" \
  https://github.com/explosion/catalogue/tags (?:.*?/)?v?@ANY_VERSION@\.tar\.gz

## python-catalogue 2.1.0+really2.0.10

=== requirements.txt ===
zipp>=0.5; python_version < "3.8"
typing-extensions>=3.6.4; python_version < "3.8"
pytest>=4.6.5
mypy>=0.991,<1.1.0

=== debian/changelog ===
python-catalogue (2.1.0+really2.0.10-1) unstable; urgency=medium

  * Team upload.
  * debian/watch: Exclude yanked 2.1.0 release and mangle 2.0.* into
    2.1.0+really2.0.* (closes: #1086878).
  * New upstream release.
  * Use pybuild-plugin-pyproject.

 -- Colin Watson <cjwatson@debian.org>  Thu, 21 Nov 2024 13:05:20 +0000

python-catalogue (2.1.0-6) unstable; urgency=medium

  * Team Upload.
  * Depends on pydantic >= 2.0

 -- Alexandre Detiste <tchet@debian.org>  Thu, 01 Aug 2024 07:25:41 +0200

python-catalogue (2.1.0-5) unstable; urgency=medium

  * Team Upload.
  * Add a patch to use Pydantic 2.x legacy API.

 -- Alexandre Detiste <tchet@debian.org>  Thu, 01 Aug 2024 01:17:10 +0200

=== debian/control ===
--- 
+++ 
@@ -5,13 +5,11 @@
 Testsuite: autopkgtest-pkg-python
 Priority: optional
 Build-Depends: debhelper-compat (= 13),
-               dh-python,
+               dh-sequence-python3,
+               pybuild-plugin-pyproject,
                python3-all-dev,
                python3-setuptools,
                python3-pytest <!nocheck>,
-               python3-pydantic <!nocheck>,
-               python3-numpy <!nocheck>,
-               python3-srsly <!nocheck>
 Standards-Version: 4.6.2
 Vcs-Browser: https://salsa.debian.org/python-team/packages/python-catalogue
 Vcs-Git: https://salsa.debian.org/python-team/packages/python-catalogue.git
@@ -22,8 +20,6 @@
 Architecture: any
 Depends: ${python3:Depends},
          ${misc:Depends},
-         python3-pydantic,
-         python3-srsly
 Description: super lightweight function registries for Python3 libraries
  catalogue is a tiny, zero-dependencies library that makes it easy to add
  function (or object) registries to your code. Function registries are

=== debian/rules ===
--- 
+++ 
@@ -8,4 +8,4 @@
 export PYBUILD_NAME=catalogue
 
 %:
-	dh $@ --with python3 --buildsystem=pybuild
+	dh $@ --buildsystem=pybuild

=== debian/watch ===
version=4

opts="uversionmangle=s/(2\.0\..*)/2.1.0+really$1/,filenamemangle=s%(?:.*?)?v?(\d[\d.]*)\.tar\.gz%@PACKAGE@-$1.tar.gz%" \
  https://github.com/explosion/catalogue/tags (?:.*?/)?v?(?!2\.1\.0)(\d[\-+\.:\~\d]*)\.tar\.gz
